FROM node:24-slim

# instalar cron
RUN apt-get update && \
    apt-get install -y cron && \
    rm -rf /var/lib/apt/lists/*

WORKDIR /app

COPY package*.json ./
RUN npm ci --omit=dev

# copiar todo el código y scripts cron
COPY . .

# copiar scripts cron exactamente como vienen
RUN cp -r cron /etc/cron.d && \
    find /etc/cron.d -type f -exec chmod +x {} \;

CMD sh -c "cron && node cron-worker.js"
